from models import Discipline

def test_getDiscipline(client):
    response = client.get("/1")
    discipline = Discipline(
        id=1,
        intitule="Judo",
        type="Combat",
        description="Le judo est un art martial japonais, fondé par Jigoro Kano en 1882. Il se compose pour l'essentiel de techniques de projection, de contrôle au sol, d'étranglements et de clefs.",
        logo="https://upload.wikimedia.org/wikipedia/commons/4/4b/Judo_pictogram.svg"
    )
    assert discipline.model_dump() == response.json
    assert response.status_code == 200
